# Installation
> `npm install --save @types/gulp-image-resize`

# Summary
This package contains type definitions for gulp-image-resize (https://github.com/scalableminds/gulp-image-resize).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/gulp-image-resize.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/gulp-image-resize/index.d.ts)
````ts
/// <reference types="node" />

import * as gm from "gm";
import * as stream from "stream";

export = GulpImageResize;

declare function GulpImageResize(options?: GulpImageResize.Options): stream.Transform;

declare namespace GulpImageResize {
    type SamplingFactor = [number, number];

    interface Options {
        width?: number | undefined;
        height?: number | undefined;
        upscale?: boolean | undefined;
        crop?: boolean | undefined;
        gravity?: gm.GravityDirection | undefined;
        quality?: number | undefined;
        format?: string | undefined;
        filter?: gm.FilterType | undefined;
        sharpen?: boolean | string | undefined;
        samplingFactor?: SamplingFactor | undefined;
        noProfile?: boolean | undefined;
        interlace?: boolean | undefined;
        imageMagick?: boolean | undefined;
        background?: string | undefined;
        flatten?: boolean | undefined;
        percentage?: number | undefined;
        cover?: boolean | undefined;
    }
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 03:09:37 GMT
 * Dependencies: [@types/gm](https://npmjs.com/package/@types/gm), [@types/node](https://npmjs.com/package/@types/node)

# Credits
These definitions were written by [Aankhen](https://github.com/Aankhen).
